export const ColorLegend = ({
  colorScale,
  innerWidth,
  colorLegendLabel,
  tickSpacing = 20,
  tickSize = 10,
  tickTextOffset = 10,
}) => (
  <g className="color-legend" transform={`translate(${innerWidth + 55}, ${55})`}>
    
    <text
      x={35}
      y={-25}
      className="axis-label"
      textAnchor="middle"
    >{colorLegendLabel}</text>
    
    {colorScale.domain().map((domainValue, i) => (
      
      <g className="tick" transform={`translate(0, ${i * tickSpacing})`}>
        
        <circle
          fill={colorScale(domainValue)}
          r={tickSize}
        />
        <text x={tickTextOffset} dy=".32em">{domainValue}</text>
        
      </g>
      
    ))}
    
  </g>
);
